跳转至

Python3.X

平台内置的镜像均为Python3.8,如果在需要使用Python3.6、Python3.7等的场景(比如TensorFlow1.14必须3.6/3.7),那么可以使用Miniconda创建其他版本的Python虚拟环境。

构建一个虚拟环境名为:my-env,Python版本为3.7
$ conda create -n my-env python=3.7    

更新bashrc中的环境变量
$ conda init bash && source /root/.bashrc
切换到创建的虚拟环境:my-env
$ conda activate my-env

验证
$ python
Python 3.7.5 (default, Sep  4 2020, 07:30:14) 
[GCC 7.3.0] :: Miniconda, Inc. on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>